Subject: [os2genau_digest] No. 1778
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 9 Feb 2009 00:00:37 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Sunday 08 February 2009
 Number  1778
**************************************************

Subjects for today
 
1  Re:  [Major] Retaining original sender for moderated lists? : Peter Moylan <peter at pmoylan dot org>
2  Re:  [Major] Retaining original sender for moderated lists? : Ian Manners" <deadmail>
3   Feels familiar. : Ian Manners" <deadmail>

**= Email   1 ==========================**

Date:  Sun, 08 Feb 2009 17:16:19 +1100
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  [Major] Retaining original sender for moderated lists?

Steven Levine wrote:
>  In <498CEE37.3050307 at pmoylan dot org>, on 02/07/09 at 01:13 PM, Peter
>  Moylan <peter at pmoylan dot org> said:

> > On the other hand, the job of the moderator might be made easier if
> > the list address was already in this field, because then a simple
> > "reply" by the moderator would be sufficient to approve the
> > message. (With the present rule, the moderator has to do a
> > "forward" or similar operation.)

>  I find that I typically need to use forward when approving to a
>  moderated list.  This is so that the message body is preserved as
>  much as possible. However, this might be mail client specific.

In fact I didn't think this through. A "reply" by the moderator won't 
work, because the moderator's mail client would add an extra quote 
level, which we don't want in this case. You're right, "forward" is the 
only sensible approach.

>  Since Major is going to replace the From header when it posts the
>  message, perhaps the From header should be set to the list address.

Still, it can be convenient for the moderator to have the From address 
untouched initially, even when it's going to be changed later. Even if 
there's an X-Originally-From, that might not be easy to see, because 
most people have their mail clients set up to show only a subset of the 
mail headers. Of course the same objection applies to the 
X-For-Moderation header line, but we can't do much about that.

> > The disadvantage is that the moderator might prefer to have the
> > list address appear here, just as it does in messages to
> > non-moderated lists.
>
>  Is the control really needed?  I would vote for consistency.  If the
>  Reply-to was set to something other than the list, moderating replies
>  would take additional effort to process.

Your argument makes sense. On the other hand, Mark has made a good case 
for not changing the Reply-To on posts coming from the moderator.

For now I'm going to leave the policy unchanged. Maybe everyone could be 
satisfied by making an announcement-only list a separate class of list, 
with different rules, but on the KISS principle I'm not going to do that 
unless there's a significant demand for it.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

-----------
To unsubscribe yourself from this list, send the following message
to majormajor at os2voice dot org

     unsubscribe MajorMajor-list
     end

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 08 Feb 2009 17:41:52 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re:  [Major] Retaining original sender for moderated lists?

Please ignore - apologies, test but sent to the wrong list :o)

Cheers
Ian Manners
http://www.os2site dot com/

----------------------------------------------------------------------------------
 
**= Email   3 ==========================**

Date:  Sun, 08 Feb 2009 21:28:02 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:   Feels familiar.

<http://ars.userfriendly dot org/cartoons/?id=20090208>

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG